/**
 * Copyright (c) 2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { NumberArray } from './type-helpers';
import { ParamDefinition as PD } from './param-definition';
/** Material properties expressed as a single number */
export declare type Material = {
    readonly '@type': 'material';
} & number;
export declare function Material(hex: number): Material;
export declare namespace Material {
    function fromNormalized(metalness: number, roughness: number): Material;
    function fromObjectNormalized(v: {
        metalness: number;
        roughness: number;
    }): Material;
    function toObjectNormalized(material: Material, fractionDigits?: number): {
        metalness: number;
        roughness: number;
    };
    function toArray(material: Material, array: NumberArray, offset: number): NumberArray;
    function toString(material: Material): string;
    function getParam(info?: {
        isExpanded?: boolean;
        isFlat?: boolean;
    }): PD.Converted<Material, PD.Normalize<{
        metalness: number;
        roughness: number;
    }>>;
}
